
Redmine - Patch #41728

Update Rouge gem to 4.5

2024-11-11 20:58 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 6.0.1   

Description

A test is failing on the latest version of Rouge because support for Cobal was added:

Failure:

Redmine::SyntaxHighlighting::RougeTest#test_filename_supported [test/unit/lib/redmine/syntax_highl

ighting/rouge_test.rb:31]:

Expected: false

  Actual: true

Associated revisions

Revision 23252 - 2024-11-11 20:58 - Marius BĂLTEANU

Update Rouge gem version to 4.5 (#41728).

Revision 23253 - 2024-11-11 21:47 - Marius BĂLTEANU

Merged r23252 from trunk to 6.0-stable (#41728).

History

#1 - 2024-11-11 21:49 - Marius BĂLTEANU

- Target version changed from 5.1.5 to 6.0.1

#2 - 2024-11-11 21:50 - Marius BĂLTEANU

- Status changed from New to Resolved

#3 - 2024-11-12 09:45 - Marius BĂLTEANU

- Status changed from Resolved to Closed
